<?php
$tdataCalls_Report=array();
	$tdataCalls_Report[".NumberOfChars"]=80; 
	$tdataCalls_Report[".ShortName"]="Calls_Report";
	$tdataCalls_Report[".OwnerID"]="Region";
	$tdataCalls_Report[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsCalls_Report = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsCalls_Report["English"]=array();
	$fieldToolTipsCalls_Report["English"]=array();
	$fieldLabelsCalls_Report["English"]["Call_Details"] = "Call Details";
	$fieldToolTipsCalls_Report["English"]["Call Details"] = "";
	$fieldLabelsCalls_Report["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsCalls_Report["English"]["Executive Name"] = "";
	$fieldLabelsCalls_Report["English"]["Customer_Name"] = "Customer Name";
	$fieldToolTipsCalls_Report["English"]["Customer Name"] = "";
	$fieldLabelsCalls_Report["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsCalls_Report["English"]["Customer Status"] = "";
	$fieldLabelsCalls_Report["English"]["No_of_Calls"] = "No of Calls";
	$fieldToolTipsCalls_Report["English"]["No of Calls"] = "";
	$fieldLabelsCalls_Report["English"]["Date"] = "Date";
	$fieldToolTipsCalls_Report["English"]["Date"] = "";
	$fieldLabelsCalls_Report["English"]["Region"] = "Region";
	$fieldToolTipsCalls_Report["English"]["Region"] = "";
	if (count($fieldToolTipsCalls_Report["English"])){
		$tdataCalls_Report[".isUseToolTips"]=true;
	}
}


	
	$tdataCalls_Report[".NCSearch"]=true;

	

$tdataCalls_Report[".shortTableName"] = "Calls_Report";
$tdataCalls_Report[".nSecOptions"] = 1;
$tdataCalls_Report[".recsPerRowList"] = 1;	
$tdataCalls_Report[".tableGroupBy"] = "1";
$tdataCalls_Report[".mainTableOwnerID"] = "Region";
$tdataCalls_Report[".moveNext"] = 1;




$tdataCalls_Report[".showAddInPopup"] = false;

$tdataCalls_Report[".showEditInPopup"] = false;

$tdataCalls_Report[".showViewInPopup"] = false;


$tdataCalls_Report[".fieldsForRegister"] = array();

$tdataCalls_Report[".listAjax"] = false;

	$tdataCalls_Report[".audit"] = false;

	$tdataCalls_Report[".locking"] = false;
	
$tdataCalls_Report[".listIcons"] = true;
$tdataCalls_Report[".edit"] = true;
$tdataCalls_Report[".inlineEdit"] = true;
$tdataCalls_Report[".view"] = true;

$tdataCalls_Report[".exportTo"] = true;

$tdataCalls_Report[".printFriendly"] = true;

$tdataCalls_Report[".delete"] = true;

$tdataCalls_Report[".showSimpleSearchOptions"] = false;

$tdataCalls_Report[".showSearchPanel"] = true;


$tdataCalls_Report[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataCalls_Report[".addPageEvents"] = false;


// use datepicker for search panel
$tdataCalls_Report[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataCalls_Report[".isUseTimeForSearch"] = false;

$tdataCalls_Report[".isUseiBox"] = false;



$tdataCalls_Report[".isUseInlineJs"] = $tdataCalls_Report[".isUseInlineAdd"] || $tdataCalls_Report[".isUseInlineEdit"];

$tdataCalls_Report[".allSearchFields"] = array();

$tdataCalls_Report[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataCalls_Report[".allSearchFields"]))
{
	$tdataCalls_Report[".allSearchFields"][] = "Date";	
}
$tdataCalls_Report[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataCalls_Report[".allSearchFields"]))
{
	$tdataCalls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataCalls_Report[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataCalls_Report[".allSearchFields"]))
{
	$tdataCalls_Report[".allSearchFields"][] = "Region";	
}


$tdataCalls_Report[".googleLikeFields"][] = "Date";
$tdataCalls_Report[".googleLikeFields"][] = "Executive Name";
$tdataCalls_Report[".googleLikeFields"][] = "Region";

$tdataCalls_Report[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataCalls_Report[".allSearchFields"])) 
{
	$tdataCalls_Report[".allSearchFields"][] = "Date";	
}


$tdataCalls_Report[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataCalls_Report[".allSearchFields"])) 
{
	$tdataCalls_Report[".allSearchFields"][] = "Date";	
}
$tdataCalls_Report[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataCalls_Report[".allSearchFields"])) 
{
	$tdataCalls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataCalls_Report[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataCalls_Report[".allSearchFields"])) 
{
	$tdataCalls_Report[".allSearchFields"][] = "Region";	
}

$tdataCalls_Report[".isTableType"] = "report";

$tdataCalls_Report[".reportGroupFields"] = true;

	

$tdataCalls_Report[".isDisplayLoading"] = true;

$tdataCalls_Report[".isResizeColumns"] = false;


$tdataCalls_Report[".noRecordsFirstPage"] = true;




$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataCalls_Report[".strOrderBy"] = $gstrOrderBy;
	
$tdataCalls_Report[".orderindexes"] = array();

$tdataCalls_Report[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataCalls_Report[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataCalls_Report[".sqlWhereExpr"] = "";
$tdataCalls_Report[".sqlTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataCalls_Report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataCalls_Report[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataCalls_Report[".Keys"] = $tableKeys;

//	No of Calls
	$fdata = array();
	$fdata["strName"] = "No of Calls";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "No_of_Calls";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["No of Calls"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 7;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["Date"]=$fdata;
//	Call Details
	$fdata = array();
	$fdata["strName"] = "Call Details";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text area";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Call_Details";
	
		$fdata["FullName"]= "calls.`Call Details`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
			$fdata["EditParams"] = "";
			$fdata["EditParams"].= " rows=100";
		$fdata["nRows"] = 100;
			$fdata["EditParams"].= " cols=200";
		$fdata["nCols"] = 200;
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["Call Details"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["Executive Name"]=$fdata;
//	Customer Name
	$fdata = array();
	$fdata["strName"] = "Customer Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Name";
	
		$fdata["FullName"]= "calls.`Customer Name`";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=100";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["Customer Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 6;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataCalls_Report["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 7;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
		
		
		
		
			$tdataCalls_Report["Region"]=$fdata;

	
$tables_data["Calls Report"]=&$tdataCalls_Report;
$field_labels["Calls_Report"] = &$fieldLabelsCalls_Report;
$fieldToolTips["Calls Report"] = &$fieldToolTipsCalls_Report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Calls Report"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["Calls Report"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto0["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$proto6=array();
$proto6["m_functiontype"] = "SQLF_COUNT";
$proto6["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto6["m_arguments"][]=$obj;
$proto6["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto6);

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "No of Calls";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_CUSTOM";
$proto9["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto9);

$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "calls";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "idCalls";
$proto22["m_columns"][] = "Date";
$proto22["m_columns"][] = "Call Details";
$proto22["m_columns"][] = "Executive Name";
$proto22["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_alias"] = "";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = "0";
$proto23["m_inBrackets"] = "0";
$proto23["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
												$proto25=array();
$proto25["m_link"] = "SQLL_INNERJOIN";
			$proto26=array();
$proto26["m_strName"] = "customer_list";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "idCL";
$proto26["m_columns"][] = "Created on";
$proto26["m_columns"][] = "Region";
$proto26["m_columns"][] = "Customer Name";
$proto26["m_columns"][] = "Address";
$proto26["m_columns"][] = "City";
$proto26["m_columns"][] = "State";
$proto26["m_columns"][] = "Country";
$proto26["m_columns"][] = "Postal Code";
$proto26["m_columns"][] = "Web address";
$proto26["m_columns"][] = "Area";
$proto26["m_columns"][] = "Customer_Category";
$proto26["m_columns"][] = "Breif About the Company";
$proto26["m_columns"][] = "Existing Setup";
$proto26["m_columns"][] = "Interaction Summary";
$proto26["m_columns"][] = "Commercial Summary";
$proto26["m_columns"][] = "Customer Status";
$proto26["m_columns"][] = "Assigned Executive";
$proto26["m_columns"][] = "Assigned Date";
$proto26["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_alias"] = "";
$proto27=array();
$proto27["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "= customer_list.`Customer Name`";
$proto27["m_havingmode"] = "0";
$proto27["m_inBrackets"] = "0";
$proto27["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto29=array();
						$proto30=array();
$proto30["m_functiontype"] = "SQLF_CUSTOM";
$proto30["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto30["m_arguments"][]=$obj;
$proto30["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto30);

$proto29["m_column"]=$obj;
$obj = new SQLGroupByItem($proto29);

$proto0["m_groupby"][]=$obj;
												$proto32=array();
						$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto32["m_column"]=$obj;
$obj = new SQLGroupByItem($proto32);

$proto0["m_groupby"][]=$obj;
												$proto34=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto34["m_column"]=$obj;
$obj = new SQLGroupByItem($proto34);

$proto0["m_groupby"][]=$obj;
												$proto36=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto36["m_column"]=$obj;
$obj = new SQLGroupByItem($proto36);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

$queryData_Calls_Report = $obj;
$tdataCalls_Report[".sqlquery"] = $queryData_Calls_Report;

$tableEvents["Calls Report"] = new eventsBase;

?>
